#include "testlib.h"

int main(int argc, char * argv[])
{
    registerTestlibCmd(argc, argv);

    int n = inf.readInt(1, 100000);
    int B = inf.readInt(1, 1000);
    int T = inf.readInt(1, B - 1);

    int jury = B*ans.readInt() + T*ans.readInt();
    int bus = ouf.readInt();
    int taxi = ouf.readInt();
    if (bus < 0 || taxi < 0) {
        quitf(_wa, "negative numbers in output file");
    }
    if (bus > n || taxi > n) {
        quitf(_wa, "too expensive");
    }
    if (bus*50 + taxi*4 < n) {
        quitf(_wa, "not enough seats");
    }

    int contestant = B*bus + T*taxi;
    if (contestant > jury)
        quitf(_wa, "contestant result %d, but jury can do it %d", contestant, jury);
    if (contestant < jury)
        quitf(_fail, "contestant solution is better than jury");
    quitf(_ok, "%d rubles", jury);

    return 0;
}
