#include <cstdio>
#include <cassert>

#define taskId "trans"

int main()
{
    if (taskId != "") {
        freopen(taskId ".in", "rt", stdin);
        freopen(taskId ".out", "wt", stdout);
    }

    int n, B, T;
    scanf("%d%d%d", &n, &B, &T);
    assert(n >= 1 && n <= 100000 && T >= 1 && T < B && B <= 1000);
    int ans = n*T;          /// each pupil has its own taxi :)
    int bestTaxi = n;
    int bestBus = 0;
    for (int taxi = 0; taxi <= n; ++taxi)
        for (int bus = 0; bus <= n; ++bus)
            if (50*bus + 4*taxi >= n) {
                int res = B*bus + T*taxi;
                if (ans > res) {
                    ans = res;
                    bestTaxi = taxi;
                    bestBus = bus;
                }
            }

    printf("%d %d\n", bestBus, bestTaxi);

    return 0;
}
