if [ "$1" = "" ]; then
    read
fi
if [ "$2" = "" ]; then
    read
fi
if [ ! -f "$1" ]; then
    read
fi
echo "Running validator"
wine files/towin.exe "$1" | wine files/transport_validator.exe
if [ "$?" -ne "0" ]; then
    read
fi
cp $1 trans.in
echo "Running solution transport_bv_ok.cpp"
wine solutions/transport_bv_ok.exe
if [ "$?" -ne "0" ]; then
    echo "Solution returned non-zero exit code"
    read
fi
rm -f trans.in
if [ ! -f "trans.out" ]; then
    echo "Solution didn't produced output [trans.out]"
    read
fi
mv "trans.out" "$2"
echo "Running checker"
wine check.exe $1 $2 $2
if [ "$?" -ne "0" ]; then
    echo "Checker returned non-zero exit code"
    read
fi
