#include <cstdio>
#include <cassert>

#define taskId "trans"

inline int Round(int x, int y) {
    return x / y + (x % y != 0);
}

int main()
{
    if (taskId != "") {
        freopen(taskId ".in", "rt", stdin);
        freopen(taskId ".out", "wt", stdout);
    }

    int n, B, T;
    scanf("%d%d%d", &n, &B, &T);
    int ans = n*T;
    int bestTaxi = n;
    int bestBus = 0;
    for (int taxi = 0; taxi <= (n + 3) / 4; ++taxi) { /// correct exact bound for amount of taxi
        int bus = Round(n - 4*taxi, 50); /// ! negative argument is B danger
        int res = T*taxi + B*bus;
        if (ans > res) {
            ans = res;
            bestTaxi = taxi;
            bestBus = bus;
        }
    }
    printf("%d %d\n", bestBus, bestTaxi);

    return 0;
}
