#include <cstdio>
#include <cassert>

#define taskId "trans"

inline int Round(int x, int y) {
    if (x < 0) return 0;
    return x / y + (x % y != 0);
}

int main()
{
    if (taskId != "") {
        freopen(taskId ".in", "rt", stdin);
        freopen(taskId ".out", "wt", stdout);
    }

    int n, B, T;
    scanf("%d%d%d", &n, &B, &T);
    int bestTaxi = 0;
    int bestBus = 0;
    if (B*4 > T*50) {               /// one bus is more expensive than 12.5 taxi
        bestTaxi = Round(n, 4);
    } else {
        bestBus = n / 50;
        n %= 50;
        bestTaxi = Round(n, 4);
    }

    printf("%d %d\n", bestBus, bestTaxi);

    return 0;
}
